WideImage

# Class: WideImage_Font_TTF

Source Location: /Font/TTF.php

### Class Overview

TTF font support class

### Variables

- $color
- $face
- $size

### Methods

- __construct
- writeText

### Class Details

[line 30]
TTF font support class
[ Top ]

### Class Variables

#### $color =

[line 34]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $face =

[line 32]

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $size =

[line 33]

#### Tags:

access: | public

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 36]

`WideImage_Font_TTF __construct( $face, $size, $color)`

#### Parameters:

| $face |
| $size |
| $color |

[ Top ]

### method writeText [line 52]

`void writeText( WideImage_Image $image, mixed $x, mixed $y, string $text, [int $angle = 0])`

Writes text onto an image

#### Parameters:

WideImage_Image | $image |
mixed | $x | smart coordinate
mixed | $y | smart coordinate
string | $text |
int | $angle | Angle in degrees clockwise

[ Top ]

Documentation generated on Sat, 19 Feb 2011 12:55:43 +0100 by phpDocumentor 1.4.3